SmakeSmake API Docs
EndpointsTexts

Get a text

GET
/texts/{id}

Returns the text with the id = x.

AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Path Parameters

id*integer

The ID of the resource.

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

application/json

Request example
curl -X GET "https://example.com/texts/0" \  -H "Accept: application/json"
{  "id": 1,  "collection_name": "custom",  "production_method": {    "id": 1,    "collection_name": "dtg",    "handle": "dtg",    "name": "Direct to garmin",    "description": "Digital print",    "created_at": "2022-02-21T11:08:37+00:00",    "updated_at": "2022-02-21T11:08:37+00:00"  },  "media": [    {      "id": 240,      "is_test": 0,      "collection_name": "preview",      "file_name": "preview.png",      "size": 1218,      "mime_type": "image/png",      "download_url": "https://smake-public.s3.eu-west-1.amazonaws.com/files/e1fd546508dd484b908c5fc653f65818/preview.png",      "state": "completed",      "requested": null,      "failure_message": null,      "created_at": "2022-05-12T11:17:09+00:00",      "updated_at": "2022-05-12T11:17:09+00:00"    }  ],  "lines": [    {      "id": 1,      "value": "Example 1",      "font": {        "id": 1,        "family_name": "Roboto",        "style": "Bold"      },      "font_size": 13,      "padding_bottom": 18,      "horizontal_alignment": "left",      "bending_radius": "178.00",      "created_at": "2022-05-12T11:17:09+00:00",      "updated_at": "2022-05-12T11:17:09+00:00"    }  ],  "width": 76,  "height": 15,  "created_at": "2022-05-12T11:17:09+00:00",  "updated_at": "2022-05-12T11:17:09+00:00"}

List texts GET

The endpoint lists all available texts. Returns a collection of texts. ### Filtering You can filter your results as follows — see the `filter[...]` query parameters below: - List texts for specified id(s): `/texts?filter[id]=1`, `/texts?filter[id]=1,2,3` - List texts for specified collection name(s): `/texts?filter[collection_name]=ordered`, `/texts?filter[collection_name]=custom` See: [Pagination](/docs/checkout/2022-02-01/basic/pagination), [Filtering](/docs/checkout/2022-02-01/basic/filtering)

List products GET

The Products endpoint lets you list all products available. > **Info:** Variants Attribute is expandable. See: [Expanding Objects](/docs/checkout/2022-02-01/basic/expanding-objects) Returns a collection of products. ### Filtering You can filter your results as follows: - **List products for specified id(s)** — `/products?filter[id]=1`, `/products?filter[id]=1,2,3` - **List products for specified title** — `/products?filter[title]=qui` - **List products for a specified origin code** — `/products?filter[variants.origin.sku]=58975` - **List products for a specified origin manufacturer_number** — `/products?filter[origin.manufacturer_number]=X01234` - **List products for a specified design method** — `/products?filter[designable_production_methods]=direct-to-film` See: [Pagination](/docs/checkout/2022-02-01/basic/pagination), [Filtering](/docs/checkout/2022-02-01/basic/filtering) ### Expanding relationships You can expand some resources to show more details. See: [Expanding Objects](/docs/checkout/2022-02-01/basic/expanding-objects) - **Expand variant** — You can show the variant data instead of the `id`: `/products?expand=variants` - **Expand variants customizations resource** — You can show entire variant data including customizations resources: `/products?expand=variants.views.customizations.resource` - **Expand product's allowed designable methods** — You can show which methods design can be done on this product: `/products?expand=designable_production_methods`